Subject: Re: [PATCH net-next 0/5] net: Extend address label support

From: Jakub Kicinski <[email-masked]>
Date: Tue, 14 Mar 2023 21:37:49 -0700

On Tue, 14 Mar 2023 19:43:06 +0200 Ido Schimmel wrote:
> On Tue, Mar 14, 2023 at 10:44:00AM +0100, Petr Machata wrote:
> > Like with the labels, address replacement messages with an explicit
> > IFA_PROTO are not bounced, they just neglect to actually change the
> > protocol. But it makes no sense to me that someone would issue address
> > replacement with an explicit proto set which differs from the current
> > one, but would still rely on the fact that the proto doesn't change...  
> 
> Especially when replace does work with IPv6 addresses. Couple that with
> the fact that it's a much newer attribute than the labels (added in
> 5.18) and that it has no support in iproute2, FRR, libnl etc, the
> chances of such a change breaking anyone are slim to none...

Let's add Jacques, in case he knows something we don't know.

Yes, that sounds fairly safe, we can risk it. Then again we may be
putting different pieces of state into one field? There are holes 
next to ifa_proto in most (all?) structures. It wouldn't cost 
us too much to add a field for your exact use case, it seems.
But no strong feelings, ifa_proto > 3 is a free-for-all, anyway.